// prnsetupDlg.h : Header-Datei
//

#if !defined(AFX_PRNSETUPDLG_H__58539D37_0C69_11D3_9A09_0000B45414CC__INCLUDED_)
#define AFX_PRNSETUPDLG_H__58539D37_0C69_11D3_9A09_0000B45414CC__INCLUDED_

#include "PrinterSettings.h"	// Hinzugefgt von der Klassenansicht
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CPrnsetupDlg Dialogfeld

class CPrnsetupDlg : public CDialog
{
// Konstruktion
public:
	void ShowMessage(CString msg);
	CPrinterSettings m_prn_setting1;
	CPrinterSettings m_prn_setting2;
	CPrnsetupDlg(CWnd* pParent = NULL);	// Standard-Konstruktor

// Dialogfelddaten
	//{{AFX_DATA(CPrnsetupDlg)
	enum { IDD = IDD_PRNSETUP_DIALOG };
	CListBox	m_list;
	CString	m_prn_filename1;
	CString	m_prn_filename2;
	CString	m_prn1;
	CString	m_prn2;
	//}}AFX_DATA

	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CPrnsetupDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:
	HICON m_hIcon;

	// Generierte Message-Map-Funktionen
	//{{AFX_MSG(CPrnsetupDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnChoosePrn1();
	afx_msg void OnChoosePrn2();
	afx_msg void OnSavePrn1();
	afx_msg void OnSavePrn2();
	afx_msg void OnLoadPrn1();
	afx_msg void OnLoadPrn2();
	afx_msg void OnPrintSamplePrn1();
	afx_msg void OnPrintSamplePrn2();
	afx_msg void OnGlobalPrinter();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // !defined(AFX_PRNSETUPDLG_H__58539D37_0C69_11D3_9A09_0000B45414CC__INCLUDED_)
